/*
 * Copyright 2009 the Stormcat Project.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.stormcat.jvbeans.dto.child;
 
 /**
 * @author jv-beans-gen
 *
 */
public class HorseWeightInfoDto {

    /** 　　馬番 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 1, byteLength = 2)
    private java.lang.Integer horseNo;

    /** 　　馬名 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 3, byteLength = 36)
    private java.lang.String horseName;

    /** 　　馬体重 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 39, byteLength = 3)
    private java.lang.Integer horseWeight;

    /** 　　増減符号 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 42, byteLength = 1)
    private java.lang.Character changeSign;

    /** 　　増減差 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 43, byteLength = 3)
    private java.lang.Integer changeAmount;


    /**
     * @return 　　馬番
     */
    public java.lang.Integer getHorseNo() {
        return horseNo;
    }
    
    /**
     * @param horseNo 　　馬番
     */
    public void setHorseNo(java.lang.Integer horseNo) {
        this.horseNo = horseNo;
    }    
    
    /**
     * @return 　　馬名
     */
    public java.lang.String getHorseName() {
        return horseName;
    }
    
    /**
     * @param horseName 　　馬名
     */
    public void setHorseName(java.lang.String horseName) {
        this.horseName = horseName;
    }    
    
    /**
     * @return 　　馬体重
     */
    public java.lang.Integer getHorseWeight() {
        return horseWeight;
    }
    
    /**
     * @param horseWeight 　　馬体重
     */
    public void setHorseWeight(java.lang.Integer horseWeight) {
        this.horseWeight = horseWeight;
    }    
    
    /**
     * @return 　　増減符号
     */
    public java.lang.Character getChangeSign() {
        return changeSign;
    }
    
    /**
     * @param changeSign 　　増減符号
     */
    public void setChangeSign(java.lang.Character changeSign) {
        this.changeSign = changeSign;
    }    
    
    /**
     * @return 　　増減差
     */
    public java.lang.Integer getChangeAmount() {
        return changeAmount;
    }
    
    /**
     * @param changeAmount 　　増減差
     */
    public void setChangeAmount(java.lang.Integer changeAmount) {
        this.changeAmount = changeAmount;
    }    
    
}